Linux vmi284606.contaboserver.net 4.15.0-213-generic #224-Ubuntu SMP Mon Jun 19 13:30:12 UTC 2023 x86_64
Apache/2.4.57 (Ubuntu)
: 167.86.127.34 | : 216.73.217.31
Cant Read [ /etc/named.conf ]
7.2.24-0ubuntu0.18.04.17
root
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
lib /
git-core /
[ HOME SHELL ]
Name
Size
Permission
Action
mergetools
[ DIR ]
drwxr-xr-x
git
2.27
MB
-rwxr-xr-x
git-add
2.27
MB
-rwxr-xr-x
git-add--interactive
42.89
KB
-rwxr-xr-x
git-am
2.27
MB
-rwxr-xr-x
git-annotate
2.27
MB
-rwxr-xr-x
git-apply
2.27
MB
-rwxr-xr-x
git-archive
2.27
MB
-rwxr-xr-x
git-bisect
14.11
KB
-rwxr-xr-x
git-bisect--helper
2.27
MB
-rwxr-xr-x
git-blame
2.27
MB
-rwxr-xr-x
git-branch
2.27
MB
-rwxr-xr-x
git-bundle
2.27
MB
-rwxr-xr-x
git-cat-file
2.27
MB
-rwxr-xr-x
git-check-attr
2.27
MB
-rwxr-xr-x
git-check-ignore
2.27
MB
-rwxr-xr-x
git-check-mailmap
2.27
MB
-rwxr-xr-x
git-check-ref-format
2.27
MB
-rwxr-xr-x
git-checkout
2.27
MB
-rwxr-xr-x
git-checkout-index
2.27
MB
-rwxr-xr-x
git-cherry
2.27
MB
-rwxr-xr-x
git-cherry-pick
2.27
MB
-rwxr-xr-x
git-clean
2.27
MB
-rwxr-xr-x
git-clone
2.27
MB
-rwxr-xr-x
git-column
2.27
MB
-rwxr-xr-x
git-commit
2.27
MB
-rwxr-xr-x
git-commit-tree
2.27
MB
-rwxr-xr-x
git-config
2.27
MB
-rwxr-xr-x
git-count-objects
2.27
MB
-rwxr-xr-x
git-credential
2.27
MB
-rwxr-xr-x
git-credential-cache
1.26
MB
-rwxr-xr-x
git-credential-cache--daemon
1.27
MB
-rwxr-xr-x
git-credential-store
1.27
MB
-rwxr-xr-x
git-daemon
1.28
MB
-rwxr-xr-x
git-describe
2.27
MB
-rwxr-xr-x
git-diff
2.27
MB
-rwxr-xr-x
git-diff-files
2.27
MB
-rwxr-xr-x
git-diff-index
2.27
MB
-rwxr-xr-x
git-diff-tree
2.27
MB
-rwxr-xr-x
git-difftool
2.27
MB
-rwxr-xr-x
git-difftool--helper
2.19
KB
-rwxr-xr-x
git-fast-export
2.27
MB
-rwxr-xr-x
git-fast-import
1.3
MB
-rwxr-xr-x
git-fetch
2.27
MB
-rwxr-xr-x
git-fetch-pack
2.27
MB
-rwxr-xr-x
git-filter-branch
15.17
KB
-rwxr-xr-x
git-fmt-merge-msg
2.27
MB
-rwxr-xr-x
git-for-each-ref
2.27
MB
-rwxr-xr-x
git-format-patch
2.27
MB
-rwxr-xr-x
git-fsck
2.27
MB
-rwxr-xr-x
git-fsck-objects
2.27
MB
-rwxr-xr-x
git-gc
2.27
MB
-rwxr-xr-x
git-get-tar-commit-id
2.27
MB
-rwxr-xr-x
git-grep
2.27
MB
-rwxr-xr-x
git-hash-object
2.27
MB
-rwxr-xr-x
git-help
2.27
MB
-rwxr-xr-x
git-http-backend
1.27
MB
-rwxr-xr-x
git-http-fetch
1.31
MB
-rwxr-xr-x
git-http-push
1.32
MB
-rwxr-xr-x
git-imap-send
1.32
MB
-rwxr-xr-x
git-index-pack
2.27
MB
-rwxr-xr-x
git-init
2.27
MB
-rwxr-xr-x
git-init-db
2.27
MB
-rwxr-xr-x
git-instaweb
18.11
KB
-rwxr-xr-x
git-interpret-trailers
2.27
MB
-rwxr-xr-x
git-log
2.27
MB
-rwxr-xr-x
git-ls-files
2.27
MB
-rwxr-xr-x
git-ls-remote
2.27
MB
-rwxr-xr-x
git-ls-tree
2.27
MB
-rwxr-xr-x
git-mailinfo
2.27
MB
-rwxr-xr-x
git-mailsplit
2.27
MB
-rwxr-xr-x
git-merge
2.27
MB
-rwxr-xr-x
git-merge-base
2.27
MB
-rwxr-xr-x
git-merge-file
2.27
MB
-rwxr-xr-x
git-merge-index
2.27
MB
-rwxr-xr-x
git-merge-octopus
2.42
KB
-rwxr-xr-x
git-merge-one-file
3.62
KB
-rwxr-xr-x
git-merge-ours
2.27
MB
-rwxr-xr-x
git-merge-recursive
2.27
MB
-rwxr-xr-x
git-merge-resolve
944
B
-rwxr-xr-x
git-merge-subtree
2.27
MB
-rwxr-xr-x
git-merge-tree
2.27
MB
-rwxr-xr-x
git-mergetool
10.06
KB
-rwxr-xr-x
git-mergetool--lib
8.66
KB
-rw-r--r--
git-mktag
2.27
MB
-rwxr-xr-x
git-mktree
2.27
MB
-rwxr-xr-x
git-mv
2.27
MB
-rwxr-xr-x
git-name-rev
2.27
MB
-rwxr-xr-x
git-notes
2.27
MB
-rwxr-xr-x
git-pack-objects
2.27
MB
-rwxr-xr-x
git-pack-redundant
2.27
MB
-rwxr-xr-x
git-pack-refs
2.27
MB
-rwxr-xr-x
git-parse-remote
2.59
KB
-rw-r--r--
git-patch-id
2.27
MB
-rwxr-xr-x
git-prune
2.27
MB
-rwxr-xr-x
git-prune-packed
2.27
MB
-rwxr-xr-x
git-pull
2.27
MB
-rwxr-xr-x
git-push
2.27
MB
-rwxr-xr-x
git-quiltimport
3.51
KB
-rwxr-xr-x
git-read-tree
2.27
MB
-rwxr-xr-x
git-rebase
16.89
KB
-rwxr-xr-x
git-rebase--am
2.62
KB
-rw-r--r--
git-rebase--helper
2.27
MB
-rwxr-xr-x
git-rebase--interactive
28.25
KB
-rw-r--r--
git-rebase--merge
4
KB
-rw-r--r--
git-receive-pack
2.27
MB
-rwxr-xr-x
git-reflog
2.27
MB
-rwxr-xr-x
git-remote
2.27
MB
-rwxr-xr-x
git-remote-ext
2.27
MB
-rwxr-xr-x
git-remote-fd
2.27
MB
-rwxr-xr-x
git-remote-ftp
1.32
MB
-rwxr-xr-x
git-remote-ftps
1.32
MB
-rwxr-xr-x
git-remote-http
1.32
MB
-rwxr-xr-x
git-remote-https
1.32
MB
-rwxr-xr-x
git-remote-testsvn
1.28
MB
-rwxr-xr-x
git-repack
2.27
MB
-rwxr-xr-x
git-replace
2.27
MB
-rwxr-xr-x
git-request-pull
3.61
KB
-rwxr-xr-x
git-rerere
2.27
MB
-rwxr-xr-x
git-reset
2.27
MB
-rwxr-xr-x
git-rev-list
2.27
MB
-rwxr-xr-x
git-rev-parse
2.27
MB
-rwxr-xr-x
git-revert
2.27
MB
-rwxr-xr-x
git-rm
2.27
MB
-rwxr-xr-x
git-send-pack
2.27
MB
-rwxr-xr-x
git-sh-i18n
2.3
KB
-rw-r--r--
git-sh-i18n--envsubst
1.26
MB
-rwxr-xr-x
git-sh-prompt
16
KB
-rw-r--r--
git-sh-setup
9.04
KB
-rw-r--r--
git-shell
1.26
MB
-rwxr-xr-x
git-shortlog
2.27
MB
-rwxr-xr-x
git-show
2.27
MB
-rwxr-xr-x
git-show-branch
2.27
MB
-rwxr-xr-x
git-show-index
1.26
MB
-rwxr-xr-x
git-show-ref
2.27
MB
-rwxr-xr-x
git-stage
2.27
MB
-rwxr-xr-x
git-stash
15.12
KB
-rwxr-xr-x
git-status
2.27
MB
-rwxr-xr-x
git-stripspace
2.27
MB
-rwxr-xr-x
git-submodule
23.38
KB
-rwxr-xr-x
git-submodule--helper
2.27
MB
-rwxr-xr-x
git-subtree
16.11
KB
-rwxr-xr-x
git-symbolic-ref
2.27
MB
-rwxr-xr-x
git-tag
2.27
MB
-rwxr-xr-x
git-unpack-file
2.27
MB
-rwxr-xr-x
git-unpack-objects
2.27
MB
-rwxr-xr-x
git-update-index
2.27
MB
-rwxr-xr-x
git-update-ref
2.27
MB
-rwxr-xr-x
git-update-server-info
2.27
MB
-rwxr-xr-x
git-upload-archive
2.27
MB
-rwxr-xr-x
git-upload-pack
1.27
MB
-rwxr-xr-x
git-var
2.27
MB
-rwxr-xr-x
git-verify-commit
2.27
MB
-rwxr-xr-x
git-verify-pack
2.27
MB
-rwxr-xr-x
git-verify-tag
2.27
MB
-rwxr-xr-x
git-web--browse
4.3
KB
-rwxr-xr-x
git-whatchanged
2.27
MB
-rwxr-xr-x
git-worktree
2.27
MB
-rwxr-xr-x
git-write-tree
2.27
MB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : git-merge-one-file
#!/bin/sh # # Copyright (c) Linus Torvalds, 2005 # # This is the git per-file merge script, called with # # $1 - original file SHA1 (or empty) # $2 - file in branch1 SHA1 (or empty) # $3 - file in branch2 SHA1 (or empty) # $4 - pathname in repository # $5 - original file mode (or empty) # $6 - file in branch1 mode (or empty) # $7 - file in branch2 mode (or empty) # # Handle some trivial cases.. The _really_ trivial cases have # been handled already by git read-tree, but that one doesn't # do any merges that might change the tree layout. USAGE='<orig blob> <our blob> <their blob> <path>' USAGE="$USAGE <orig mode> <our mode> <their mode>" LONG_USAGE="usage: git merge-one-file $USAGE Blob ids and modes should be empty for missing files." SUBDIRECTORY_OK=Yes . git-sh-setup cd_to_toplevel require_work_tree if test $# != 7 then echo "$LONG_USAGE" exit 1 fi case "${1:-.}${2:-.}${3:-.}" in # # Deleted in both or deleted in one and unchanged in the other # "$1.." | "$1.$1" | "$1$1.") if { test -z "$6" && test "$5" != "$7"; } || { test -z "$7" && test "$5" != "$6"; } then echo "ERROR: File $4 deleted on one branch but had its" >&2 echo "ERROR: permissions changed on the other." >&2 exit 1 fi if test -n "$2" then echo "Removing $4" else # read-tree checked that index matches HEAD already, # so we know we do not have this path tracked. # there may be an unrelated working tree file here, # which we should just leave unmolested. Make sure # we do not have it in the index, though. exec git update-index --remove -- "$4" fi if test -f "$4" then rm -f -- "$4" && rmdir -p "$(expr "z$4" : 'z\(.*\)/')" 2>/dev/null || : fi && exec git update-index --remove -- "$4" ;; # # Added in one. # ".$2.") # the other side did not add and we added so there is nothing # to be done, except making the path merged. exec git update-index --add --cacheinfo "$6" "$2" "$4" ;; "..$3") echo "Adding $4" if test -f "$4" then echo "ERROR: untracked $4 is overwritten by the merge." >&2 exit 1 fi git update-index --add --cacheinfo "$7" "$3" "$4" && exec git checkout-index -u -f -- "$4" ;; # # Added in both, identically (check for same permissions). # ".$3$2") if test "$6" != "$7" then echo "ERROR: File $4 added identically in both branches," >&2 echo "ERROR: but permissions conflict $6->$7." >&2 exit 1 fi echo "Adding $4" git update-index --add --cacheinfo "$6" "$2" "$4" && exec git checkout-index -u -f -- "$4" ;; # # Modified in both, but differently. # "$1$2$3" | ".$2$3") case ",$6,$7," in *,120000,*) echo "ERROR: $4: Not merging symbolic link changes." >&2 exit 1 ;; *,160000,*) echo "ERROR: $4: Not merging conflicting submodule changes." >&2 exit 1 ;; esac src1=$(git unpack-file $2) src2=$(git unpack-file $3) case "$1" in '') echo "Added $4 in both, but differently." orig=$(git unpack-file e69de29bb2d1d6434b8b29ae775ad8c2e48c5391) ;; *) echo "Auto-merging $4" orig=$(git unpack-file $1) ;; esac git merge-file "$src1" "$orig" "$src2" ret=$? msg= if test $ret != 0 || test -z "$1" then msg='content conflict' ret=1 fi # Create the working tree file, using "our tree" version from the # index, and then store the result of the merge. git checkout-index -f --stage=2 -- "$4" && cat "$src1" >"$4" || exit 1 rm -f -- "$orig" "$src1" "$src2" if test "$6" != "$7" then if test -n "$msg" then msg="$msg, " fi msg="${msg}permissions conflict: $5->$6,$7" ret=1 fi if test $ret != 0 then echo "ERROR: $msg in $4" >&2 exit 1 fi exec git update-index -- "$4" ;; *) echo "ERROR: $4: Not handling case $1 -> $2 -> $3" >&2 ;; esac exit 1
Close